CREATE TABLE irc_cx_prov_configs (
    CONFIG_ID                NUMBER(18, 0) ,
    PROVIDER_ID              NUMBER(18, 0)     NOT NULL,
    CONFIG_CODE              VARCHAR2(800)     NOT NULL,
    CONFIG_NAME              VARCHAR2(960)     NOT NULL,
    CONFIG_DESCRIPTION       VARCHAR2(4000),
    CONFIG_STATUS            VARCHAR2(160)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONFIG_ID                NUMBER(18, 0) ,
    PROVIDER_ID              NUMBER(18, 0)     NOT NULL,
    CONFIG_CODE              VARCHAR2(800)     NOT NULL,
    CONFIG_NAME              VARCHAR2(960)     NOT NULL,
    CONFIG_DESCRIPTION       VARCHAR2(4000),
    CONFIG_STATUS            VARCHAR2(160)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_irc_cx_prov_configs PRIMARY KEY (CONFIG_ID, CONFIG_ID)
);
